package ch.zhaw.projekt2.turnierverwaltung;

public abstract class FXController {
    Tournament tournament;
    Factory factory;
    FileIO fileIO;

    public void setup(Tournament tournament, FileIO fileIO, Factory factory){
        this.tournament = tournament;
        this.fileIO = fileIO;
        this.factory = factory;
    }

    public abstract void loadContent();

    protected Tournament getTournament() {
        return tournament;
    }

    protected FileIO getFileIO() {
        return fileIO;
    }

    protected Factory getFactory() {
        return factory;
    }
}
